%define base_name	isorelax
%define version		20030108
%define release		1jpp
%define	section		free


Name:		%{base_name}-bootstrap
Summary:	Public interfaces useful for applications to support RELAX Core
Url:		http://iso-relax.sourceforge.net/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	MIT-style
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	%{base_name}.%{version}.zip
Source1:        XercesJARV.src.zip
Source2:	%{name}-build.xml
Source3:	isorelax-maven-project.xml
Source4:	isorelax-maven-project.xsd
Patch0:         xercesjarv-XercesConstants.patch
Patch1:         xercesjarv-XercesVerifier.patch
Patch2:         xercesjarv-XercesVerifierFactory.patch

BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	ant
BuildRequires:	xerces-j2
BuildRequires:	xml-commons-apis
Requires:	xerces-j2
Requires:	xml-commons-apis
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Use this package only for first builds of xercesjarv.

%prep
%setup -T -c -n %{name}-%{version}
unzip -q %{SOURCE0}
mkdir src
(cd src; unzip -q ../src.zip)
rm -f src.zip
unzip -q %{SOURCE1}
cp %{SOURCE2} build.xml
mkdir test
cp %{SOURCE3} test
cp %{SOURCE4} test
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;
# swift verifier replaced by xercesjarv
rm -rf src/jp/gr/xml/relax/swift

%patch0
%patch1
%patch2

%build
export CLASSPATH=$(build-classpath \
xerces-j2 \
xml-commons-apis \
)
ant -Dbuild.sysclasspath=only release
CLASSPATH=isorelax.jar:xercesjarv.jar:$CLASSPATH
ant -Dbuild.sysclasspath=first ant-task-test

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{base_name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%post
ln -s %{_javadir}/%{name}.jar %{_javadir}/%{base_name}.jar

%preun
rm -f %{_javadir}/%{base_name}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING.txt
%{_javadir}/*

%changelog
* Tue Jul 06 2004 Ralph Apel <r.apel at r-apel.de> 0:%{version}-1jpp
- First build from sources into free section

